Roomability Guest API
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Payment Method
Roomability Guest API
  • Introduction
  • Authentication
  • Responses
  • Roomability Guest API
    • PayGateway
      • Detail
    • CancelPolicy
      • Detail
    • Paystack
      • Verify
      • Initialize
    • Reservation
      • Add
      • Availability
      • Cancel
      • Booking Ref
    • Country
      • GetSelectList
    • RoomType
      • DetailList
      • Detail
    • Term
      • Detail
    • State
      • GetSelectList
    • Privacy
      • Detail
    • Guest
      • Detail
    • Payment Method
      • Active List
        GET
    • Hotel
      • Detail
      • Hotel Rule
    • GetHotel List
      GET
    • Contact Page
      POST
    • Search List
      GET
    • Countries
      GET
    • Phone Code List
      GET
  • Retails & Ecommece Guest Api
    • Products
    • Users
    • Carts
    • Orders
  • Loyality Endpoint Api
    • Doors
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Payment Method

Active List

GET
https://guestapi.roomability.io/Paymode/ActiveList
Last modified:2026-03-12 08:08:55

Retrieve Privacy Detail#

This endpoint retrieves the privacy policy of an hotel.

Request#

Method: GET
Endpoint: {{baseUrl}}/Privacy/Detail

Response#

The response for this request is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "detail": {
      "type": "string"
    },
    "errorCode": {
      "type": "integer"
    },
    "errorMessage": {
      "type": "string"
    }
  }
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Paymode/ActiveList' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "items": [
        {
            "id": 1,
            "name": "Book On Hold"
        },
        {
            "id": 4,
            "name": "Paystack"
        }
    ],
    "errorCode": 0,
    "errorMessage": "Successfully retrieved payment methods."
}
Modified at 2026-03-12 08:08:55
Previous
Detail
Next
Detail
Built with